=== debian/changelog ===
obexftp (0.24-5build4) bionic; urgency=high

  * No change rebuild against ruby-defaults without ruby2.3 support.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 01 Mar 2018 09:35:17 +0000

obexftp (0.24-5build3) bionic; urgency=medium

  * No-change rebuild for ruby2.5 update.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Feb 2018 19:01:53 +0000

obexftp (0.24-5build2) artful; urgency=medium

  * No-change rebuild for perl 5.26.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jul 2017 19:53:12 +0000

obexftp (0.24-5build1) zesty; urgency=medium

  * No-change rebuild for perl 5.24 transition

 -- Iain Lane <iain@orangesquash.org.uk>  Sun, 23 Oct 2016 12:11:32 +0100

obexftp (0.24-5) unstable; urgency=medium

  * QA upload.
  * Add missing dependency on librubyX.Y

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 24 Mar 2016 20:45:04 +0000

obexftp (0.24-4) unstable; urgency=medium

  * QA upload.
  * Add patch to revert the change in the bluez module name.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 07 Feb 2016 13:12:53 +0000

obexftp (0.24-3) unstable; urgency=medium

  * QA upload.
  * Swap libobexftp0-dev dependency on libopenobex2-dev to libopenobex1-dev.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 07 Feb 2016 11:56:10 +0000

obexftp (0.24-2) unstable; urgency=medium

  * QA upload.
  * Swap Build-Dependency on libopenobex1-dev to libopenobex2-dev.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 07 Feb 2016 00:54:34 +0000

obexftp (0.24-1) unstable; urgency=medium

  * QA upload.
  * Imported Upstream version 0.24.  Closes: #769819, #811054
  * debian/control:
    + Set Vcs-* to a collab-maint repository.
    + Bump Standards-Version to 3.9.7, no changes needed.
    + Drop duplicated Section field.
    + Add B-D on cmake, remove B-D on dh-autoreconf.
  * Run wrap-and-sort.
  * debian/patches: drop all of them, obsolete with new upstream version.
  * debian/rules:
    + Rewrite using dh sequencer and semplify it quite some.
    + Enable hardening.
  * debian/*.install: update for multiarch paths and remove static libraries
    not built anymore.
  * debian/copyright: add new upstream copyright holder.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 06 Feb 2016 21:50:47 +0000

obexftp (0.23-6) unstable; urgency=medium

  * QA upload.
  * Switch to "3.0 (quilt)" source format.
  * The binary-indep target failed to create libobexftp-ruby which
    was architecture-independent. However, this package was dummy
    and a stable release has already happened. Drop it completely.
  * debian/rules: Drop some useless/unused/unnecessary stuff.

 -- Santiago Vila <sanvila@debian.org>  Sat, 31 Oct 2015 23:09:00 +0100

obexftp (0.23-5) unstable; urgency=medium

  * QA upload.
  * Build using dpkg-buildflags.
  * Replace obsolete STR2CSTR macro with StringValuePointer.

 -- Matthias Klose <doko@debian.org>  Tue, 08 Sep 2015 22:55:27 +0200

obexftp (0.23-4) unstable; urgency=medium

  * QA upload.
  * Fix "FTBFS: format not a string literal and no format arguments
    [-Werror=format-security]": add patch which adds a format argument.
    (Closes: #757754)
  * Build-depend on and use dh-autoreconf.
    (Closes: #727476)

 -- gregor herrmann <gregoa@debian.org>  Mon, 11 Aug 2014 17:28:21 +0200

obexftp (0.23-3) unstable; urgency=medium

  * QA upload.
  * Fix "hardcodes /usr/lib/perl5":
    dynamically set perl library path in debian/rules from $Config{vendorarch}
    (Closes: #752799)
  * Add missing license to debian/copyright.
    (Closes: #750564)

 -- gregor herrmann <gregoa@debian.org>  Tue, 29 Jul 2014 19:51:27 +0200

obexftp (0.23-2) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group
  * Prefix installation path (sitearchdir) for the Ruby library with DESTDIR,
    so that ruby2.1 does not try to install in a location relative to /
    (Closes: #747826)
  * Rename libobexftp-ruby to ruby-obexftp, keep a transitional package to
    ease the upgrade process (Closes: #722390)

 -- Cédric Boutillier <boutil@debian.org>  Fri, 30 May 2014 23:19:18 +0200

obexftp (0.23-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with multiarched Ruby interpreters (Closes: #739777)
    - pass vendorarchdir for the path installation of Ruby bindings
    - do not explicitly touch the path of Ruby libraries in debian/rules, as
      the library gets installed at right place in the first place.
    - change path in debian/libobexftp-ruby.install to leave space for the
      architecture name.

 -- Cédric Boutillier <boutil@debian.org>  Wed, 23 Apr 2014 15:09:07 +0200

obexftp (0.23-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Convert to dh_python2 (Closes: #616920).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 01 Jun 2013 13:55:54 +0200

obexftp (0.23-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added patches to fix FTBFS.  Closes: #676084.
    + debian/patches/format.diff
    + debian/patches/rstring.diff

 -- Bart Martens <bartm@debian.org>  Wed, 18 Jul 2012 05:46:10 +0000

obexftp (0.23-1) unstable; urgency=low

  * New upstream release
  * Remove all patches, all were applied equally upstream
  * Rework the descriptions of all packages (closes: #522169)
  * Fix manpage links from obex(rm|ls|get|put) to obexftp (closes: #522302)
  * Put libobexftp-ruby into the right section
  * Fix the way of giving build (and if cross-building host) types to configure
  * Bump standards version to 3.8.3.0: no changes needed
  * Add ruby to Build-Depends

 -- Hendrik Sattler <debian@hendrik-sattler.de>  Sat, 03 Oct 2009 10:37:15 +0200

obexftp (0.22-1) unstable; urgency=low

  * New upstream release (closes: #394339, #398068)
  * Remove all old patches, all were applied equally upstream
  * Bump debhelper compatibility to 7
  * Add Homepage source package control field
  * Compile all libs as shared objects and split them into separate packages
    libobexftp0, libmulticobex1 and libbfb0
  * Add python-obexftp package for the Python binding:

