=== debian/control ===
Source: obexftp
Section: comm
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 chrpath,
 cmake,
 debhelper (>= 9),
 doxygen,
 gem2deb,
 libbluetooth-dev,
 libopenobex2-dev,
 pkg-config,
 python-dev,
 swig,
Standards-Version: 3.9.7
Homepage: http://triq.net/obex
Vcs-Git: https://anonscm.debian.org/git/collab-maint/obexftp.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/obexftp.git

Package: obexftp
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 libobexftp1,
Provides:
 flexmem,
Description: file transfer utility for devices that use the OBEX protocol
 OBEX, the OBject EXchange protocol, can best be described as binary HTTP.
 OBEX is optimized for ad-hoc links and can be used to exchange
 all kind of objects like files, pictures, calendar entries (vCal)
 and business cards (vCard) over bluetooth, IrDA, USB and serial cable
 links.
 .
 This is the command line front-end that fully uses the capabilities of
 libobexftp.

Package: libbfb0
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: bfb protocol library
 This library adds support for OBEX protocol over BFB/BFC, some Siemens
 Mobile specific protocols that are used with the serial cables for S25,
 S35 and almost all later phones that include a modem, also those
 labeled as BenQ Mobile.
 .
 This package contains the runtime library.

Package: libbfb0-dev
Architecture: any
Section: libdevel
Provides:
 libbfb-dev,
Conflicts:
 libbfb-dev,
 libobexftp-dev (<< 0.22),
Depends:
 libbfb0 (= ${binary:Version}),
 ${misc:Depends},
Description: bfb protocol library - development files
 This library adds support for OBEX protocol over BFB/BFC, some Siemens
 Mobile specific protocols that are used with the serial cables for S25,
 S35 and almost all later phones that include a modem, also those
 labeled as BenQ Mobile.
 .
 This package contains the development files.

Package: libmulticobex1
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: multi-protocol cable OBEX library
 This library add support for making use of several ways to use OBEX
 over serial lines. Phones from several vendors are supported.
 .
 This package contains the runtime library.

Package: libmulticobex1-dev
Architecture: any
Section: libdevel
Provides:
 libmulticobex-dev,
Conflicts:
 libmilticobex-dev,
 libobexftp-dev (<< 0.22),
Depends:
 libbfb-dev,
 libmulticobex1 (= ${binary:Version}),
 ${misc:Depends},
Description: multi-protocol cable OBEX library - development files
 This library add support for making use of several ways to use OBEX
 over serial lines. Phones from several vendors are supported.
 .
 This package contains the development files.

Package: libobexftp0
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: object exchange file transfer library
 OBEX, the OBject EXchange protocol, can best be described as binary HTTP.
 OBEX is optimized for ad-hoc links and can be used to exchange
 all kind of objects like files, pictures, calendar entries (vCal)
 and business cards (vCard) over bluetooth, IrDA, USB and serial cable
 links.
 .
 This package contains the runtime library.

Package: libobexftp0-dev
Architecture: any
Section: libdevel
Provides:
 libobexftp-dev,
Conflicts:
 libobexftp-dev (<< 0.22),
Replaces:
 libobexftp-dev (<< 0.22),
Depends:
 libmulticobex1-dev,
 libobexftp0 (= ${binary:Version}),
 libopenobex2-dev,
 ${misc:Depends},
Description: object exchange file transfer library - development files
 OBEX, the OBject EXchange protocol, can best be described as binary HTTP.
 OBEX is optimized for ad-hoc links and can be used to exchange
 all kind of objects like files, pictures, calendar entries (vCal)
 and business cards (vCard) over bluetooth, IrDA, USB and serial cable
 links.
 .
 This package contains the development files.

Package: python-obexftp
Architecture: any
Section: python
Provides:
 ${python:Provides},
Depends:
 libobexftp0 (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Python binding to the object exchange file transfer library
 OBEX, the OBject EXchange protocol, can best be described as binary HTTP.
 OBEX is optimized for ad-hoc links and can be used to exchange
 all kind of objects like files, pictures, calendar entries (vCal)
 and business cards (vCard) over bluetooth, IrDA, USB and serial cable
 links.
 .
 This package contains the binding for the Python programming language.

Package: ruby-obexftp
Architecture: any
Section: ruby
Depends:
 libobexftp0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
 ${ruby:Depends},
Breaks:
 libobexftp-ruby (<< 0.23-2~),
Replaces:
 libobexftp-ruby (<< 0.23-2~),
Provides:
 libobexftp-ruby,
Description: ruby binding to the object exchange file transfer library
 OBEX, the OBject EXchange protocol, can best be described as binary HTTP.
 OBEX is optimized for ad-hoc links and can be used to exchange
 all kind of objects like files, pictures, calendar entries (vCal)
 and business cards (vCard) over bluetooth, IrDA, USB and serial cable
 links.
 .
 This package contains the binding for the Ruby programming language.

Package: libobexftp-perl
Architecture: any
Section: perl
Depends:
 libobexftp0 (= ${binary:Version}),
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Description: perl binding to the object exchange file transfer library
 OBEX, the OBject EXchange protocol, can best be described as binary HTTP.
 OBEX is optimized for ad-hoc links and can be used to exchange
 all kind of objects like files, pictures, calendar entries (vCal)
 and business cards (vCard) over bluetooth, IrDA, USB and serial cable
 links.
 .
 This package contains the binding for the Perl programming language.
