=== debian/watch ===
version=3
http://triq.net/obexftp/obexftp-(.*)\.tar\.gz
http://triq.net/obexftp/obexftp-(.*)\.tar\.bz2
