## obexftp 0.24.2

=== debian/changelog ===
obexftp (0.24.2-1) unstable; urgency=medium

  * QA upload
  * Drop obexautofs and obexfs executables (Closes: #1084419)
  * Scan Sourceforge for releases
  * New upstream version 0.24.2
  * d/copyright: Convert to machine-readable format
  * Rebase patches
  * Drop lintian overrides

 -- Bastian Germann <bage@debian.org>  Fri, 19 Dec 2025 22:26:23 +0100

obexftp (0.24-11) unstable; urgency=medium

  * QA upload.
  * Refresh patches.
  * Drop versioned BD on dpkg-dev, since it is satisfied in trixie.
  * Apply upstream patch to build manpages by default. Closes: #858496.
  * Add build-dependencies on asciidoc and xmlto.
  * Fix FTBFS with CMake 4. Closes: #1113337.
  * Fix clean target. Closes: #1047968.
  * d/control: Drop "Priority: optional" (default).
  * d/control: Update standards-version.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Tue, 02 Dec 2025 23:30:00 +0100

obexftp (0.24-10) unstable; urgency=medium

  * QA upload.
  * debian/: Drop hard-coded librubyX.Y dependency and link module with
    libruby to generate proper dependencies
  * debian/control: Replace pkg-config with pkgconf
  * debian/rules: Check build profiles via DEB_BUILD_PROFILES instead of the
    list of packages

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 13 Apr 2024 21:56:08 +0200

obexftp (0.24-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063222

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 01:38:07 +0000

obexftp (0.24-9) unstable; urgency=medium

  * QA upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: Set ruby paths (Closes: #1022983)

  [ Chris Hofstaedtler ]
  * Takeover obexfs (Closes: #820188)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 20 Dec 2022 02:01:53 +0000

obexftp (0.24-8) unstable; urgency=medium

  * QA upload.

  [ Vagrant Cascadian ]
  * debian/control: Remove Build-Depends on rpath, as it is unused.

  [ Debian Janitor ]
  * Apply multi-arch hints. + libbfb0: Add Multi-Arch: same.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 12:31:56 +0000

obexftp (0.24-7) unstable; urgency=medium

  * QA upload.

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Helmut Grohne ]
  * Support build profiles noperl and noruby. (Closes: #1003144)
  * Make obexftp cross build with just noruby:
    + Add missing build dependency on perl-xs-dev.
    + Export a PERL5LIB containing the cross config.

  [ Vagrant Cascadian ]
  * debian/rules: Pass -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON via
    dh_auto_configure override.
  * Update to debhelper-compat 13.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Mon, 11 Jul 2022 14:45:14 -0700

obexftp (0.24-6) unstable; urgency=medium

  * QA upload.
  * Drop the Python subpackage.

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 21 Aug 2019 22:51:26 +0500
