=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: obexftp
 Section: comm
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
- chrpath,
+ asciidoc,
  cmake,
- debhelper (>= 9),
+ debhelper-compat (= 13),
  doxygen,
- gem2deb,
+ dh-sequence-ruby <!noruby>,
+ gem2deb <!noruby>,
  libbluetooth-dev,
  libopenobex2-dev,
- pkg-config,
- python-dev,
- swig,
-Standards-Version: 3.9.7
-Homepage: http://triq.net/obex
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/obexftp.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/obexftp.git
+ perl-xs-dev <!noperl>,
+ pkgconf,
+ ruby-dev <!noruby>,
+ swig <!noperl> <!noruby>,
+ xmlto,
+Standards-Version: 4.7.2
+Homepage: https://sourceforge.net/projects/openobex/
+Vcs-Git: https://salsa.debian.org/debian/obexftp.git
+Vcs-Browser: https://salsa.debian.org/debian/obexftp
 
 Package: obexftp
 Architecture: any
@@ -26,8 +27,12 @@
  ${shlibs:Depends},
 Conflicts:
  libobexftp1,
+ obexfs,
+Replaces:
+ obexfs
 Provides:
  flexmem,
+ obexfs
 Description: file transfer utility for devices that use the OBEX protocol
  OBEX, the OBject EXchange protocol, can best be described as binary HTTP.
  OBEX is optimized for ad-hoc links and can be used to exchange
@@ -36,14 +41,18 @@
  links.
  .
  This is the command line front-end that fully uses the capabilities of
- libobexftp.
+ libobexftp. It also includes obexfs, the FUSE backend.
 
-Package: libbfb0
+Package: libbfb0t64
+Provides: ${t64:Provides}
+Replaces: libbfb0
+Breaks: libbfb0 (<< ${source:Version})
 Architecture: any
 Section: libs
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Multi-Arch: same
 Description: bfb protocol library
  This library adds support for OBEX protocol over BFB/BFC, some Siemens
  Mobile specific protocols that are used with the serial cables for S25,
@@ -61,7 +70,7 @@
  libbfb-dev,
  libobexftp-dev (<< 0.22),
 Depends:
- libbfb0 (= ${binary:Version}),
+ libbfb0t64 (= ${binary:Version}),
  ${misc:Depends},
 Description: bfb protocol library - development files
  This library adds support for OBEX protocol over BFB/BFC, some Siemens
@@ -71,7 +80,10 @@
  .
  This package contains the development files.
 
-Package: libmulticobex1
+Package: libmulticobex1t64
+Provides: ${t64:Provides}
+Replaces: libmulticobex1
+Breaks: libmulticobex1 (<< ${source:Version})
 Architecture: any
 Section: libs
 Depends:
@@ -93,7 +105,7 @@
  libobexftp-dev (<< 0.22),
 Depends:
  libbfb-dev,
- libmulticobex1 (= ${binary:Version}),
+ libmulticobex1t64 (= ${binary:Version}),
  ${misc:Depends},
 Description: multi-protocol cable OBEX library - development files
  This library add support for making use of several ways to use OBEX
@@ -101,7 +113,10 @@
  .
  This package contains the development files.
 
-Package: libobexftp0
+Package: libobexftp0t64
+Provides: ${t64:Provides}
+Replaces: libobexftp0
+Breaks: libobexftp0 (<< ${source:Version})
 Architecture: any
 Section: libs
 Depends:
@@ -127,7 +142,7 @@
  libobexftp-dev (<< 0.22),
 Depends:
  libmulticobex1-dev,
- libobexftp0 (= ${binary:Version}),
+ libobexftp0t64 (= ${binary:Version}),
  libopenobex2-dev,
  ${misc:Depends},
 Description: object exchange file transfer library - development files
@@ -139,33 +154,14 @@
  .
  This package contains the development files.
 
-Package: python-obexftp
-Architecture: any
-Section: python
-Provides:
- ${python:Provides},
-Depends:
- libobexftp0 (= ${binary:Version}),
- ${misc:Depends},
- ${python:Depends},
- ${shlibs:Depends},
-Description: Python binding to the object exchange file transfer library
- OBEX, the OBject EXchange protocol, can best be described as binary HTTP.
- OBEX is optimized for ad-hoc links and can be used to exchange
- all kind of objects like files, pictures, calendar entries (vCal)
- and business cards (vCard) over bluetooth, IrDA, USB and serial cable
- links.
- .
- This package contains the binding for the Python programming language.
-
 Package: ruby-obexftp
 Architecture: any
 Section: ruby
+Build-Profiles: <!noruby>
 Depends:
- libobexftp0 (= ${binary:Version}),
+ libobexftp0t64 (= ${binary:Version}),
  ${misc:Depends},
- ${shlibs:Depends},
- ${ruby:Depends},
+ ${shlibs:Depends}
 Breaks:
  libobexftp-ruby (<< 0.23-2~),
 Replaces:
@@ -184,8 +180,9 @@
 Package: libobexftp-perl
 Architecture: any
 Section: perl
+Build-Profiles: <!noperl>
 Depends:
- libobexftp0 (= ${binary:Version}),
+ libobexftp0t64 (= ${binary:Version}),
  ${misc:Depends},
  ${perl:Depends},
  ${shlibs:Depends},
