=== debian/watch ===
Version: 5

Source: https://sf.net/openobex/
Matching-Pattern: obexftp-@ANY_VERSION@-Source@ARCHIVE_EXT@
